Class | Date
In: | lib/facets/core/date/days_of_month.rb lib/facets/core/date/to_date.rb lib/facets/core/date/to_time.rb lib/facets/core/date/stamp.rb lib/facets/core/date/to_s.rb lib/facets/core/date/days_in_month.rb
Parent: | Object

### Methods

days_in_month days_of_month stamp to_date to_s to_time

### Public Instance methods

days_in_month()

Returns the number of days in the date‘s month.

      Date.new(2004,2).days_in_month #=> 28

days_of_month()
stamp(format = nil)

An enhanched to_s method that cane take an optional format flag of :short or :long.

to_date()

To be able to keep Dates and Times interchangeable on conversions.

to_s(format = nil)

Alias for stamp

to_time(form = :local)

Convert Date to Time.

[Validate]